OpenMP GCC libiomp5 libgomp

GCC* 4.9 OpenMP code cannot be linked with Intel® OpenMP runtime

GCC* 4.9 was released on April 22, 2014.  This release now supports Version 4.0 of the OpenMP* specification for the C and C++ compilers.  The interface between the compilers and the GCC OpenMP runtime library (libgomp) was changed as part of this development.  As a result, code compiled by GCC 4.9 using the –fopenmp compiler option cannot be successfully linked with the Intel® OpenMP runtime library (libiomp5), even if it uses no new OpenMP 4.0 features.   Linki

  • 开发人员
  • Linux*
  • 服务器
  • C/C++
  • 中级
  • 英特尔® C++ Composer XE
  • OpenMP GCC libiomp5 libgomp
  • OpenMP*
  • 并行计算
  • 订阅 OpenMP GCC libiomp5 libgomp